#ifndef APICOMPATTESTS_H
#define APICOMPATTESTS_H

#include <QObject>
#include "../api/meteorddp.h"

class ApiCompatTests : public QObject
{
        Q_OBJECT
    private slots:
        void initTestCase();
        void cleanupTestCase();

        void testConnectToServer();
        void testLoginWithSHA256();
        void testLoginWithSessionToken();
        void testDDPSubscriptions();
        void testFileUpload();
        void testAddUserToChannel();
        void testBlockUser();
        void testUnBlockUser();
        void testChangeUserPresenceDefault();
        void testCreateChannel();
        void testCreatePrivateGroup();
        void testSendTextMessage();
        void testGetRooms();
        void testHideRooms();
        void testLeaveRooms();
        void tetMarkChannelAsRead();
        void testSearchMessage();
        void testSubscribeUserNotice();
        void testSearchUsers();
        void testSubscribeActiveUsers();
        void testSubscribeChannel();
        void testSubscribeLoginMethods();
        void testSubscribeUserNotify();
        void testSubscriptionChanged();
        void testUpdateJitsiMeetTimeout();
        void testUpdatePushToken();

    protected:
        MeteorDDP *mDDPApi;

        QString mSessionToken;
        QString mUserId;

};

#endif // APICOMPATTESTS_H
